
import { axios } from '@/utils/request'
import {upcloud_base_common} from "@/config/serviceSettings";

import qs from 'qs'

export function getList(params) {
  return axios({
    url: upcloud_base_common+'/printconf/list',
    method: 'get',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    params:  params
  })
}
//修改
export function updateDetail(params) {
  return axios({
    url: upcloud_base_common+'/printconf/update',
    method: 'post',
    headers: { 'Content-Type': 'application/json'  },
    data:params
    // params: qs.stringify(params)
  })
}
//新增
export function addDetail(params) {
  return axios({
    url: upcloud_base_common+'/printconf/create',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}
//删除
export function delDetail(params) {
  return axios({
    url: upcloud_base_common+'/printconf/batch-delete',
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data:params
    // data: JSON.stringify(params) 
  })
}